<template>
    <div class="content">
		<my-menu :routes="routes"></my-menu>
		<transition name="pagina">
			<router-view></router-view>
		</transition>
    </div>
</template>

<script>
	import Menu from './components/shared/menu/Menu.vue';
	import { routes } from './routes';

	export default {
		name: 'app',
		components: {
			'my-menu': Menu
		},
		data () {
			return {
				routes: routes.filter(route => route.menu)
			}
		}
	}
</script>

<style lang="scss">

	@import './assets/css/main.scss';

	.content {
		text-align: center;
	}
	.center-text {
		text-align: center;
	}
	.pagina-enter, .pagina-leave-active {
        opacity: 0;
    }
    .pagina-enter-active, .pagina-leave-active {
        transition: opacity 0.4s ease;
    }
</style>
